LandingReadonlyProperties:
  type: object
  properties:
    id:
      type: integer
      description: Идентификатор
      example: 1
LandingFillableProperties:
  type: object
  properties:
    name:
      type: string
      description: Название
      example: 'Акция на 8 марта'
    active:
      type: boolean
      description: Активность
      example: true
    code:
      type: string
      description: Код
      example: 'march'
    widgets:
      type: array
      description: Виджеты
      example: []
      items:
        type: object
LandingRequiredProperties:
  type: object
  required:
    - code
LandingForCreate:
  allOf:
    - $ref: '#/LandingFillableProperties'
    - $ref: '#/LandingRequiredProperties'
LandingForReplace:
  allOf:
    - $ref: '#/LandingFillableProperties'
    - $ref: '#/LandingRequiredProperties'
LandingForPatch:
  allOf:
    - $ref: '#/LandingFillableProperties'
Landing:
  allOf:
    - $ref: '#/LandingReadonlyProperties'
    - $ref: '#/LandingFillableProperties'

SearchLandingsFilter:
  type: object
  example: {}

SearchLandingsRequest:
  type: object
  properties:
    sort:
      $ref: '../../common_schemas.yaml#/RequestBodySort'
    filter:
      $ref: '#/SearchLandingsFilter'
    include:
      $ref: '../../common_schemas.yaml#/RequestBodyInclude'
    pagination:
      $ref: '../../common_schemas.yaml#/RequestBodyPagination'

SearchLandingsResponse:
  type: object
  properties:
    data:
      type: array
      items:
        $ref: '#/Landing'
    meta:
      type: object
      properties:
        pagination:
          $ref: '../../common_schemas.yaml#/ResponseBodyPagination'
  required:
    - data
    - meta
CreateLandingsResponse:
  type: object
  properties:
    data:
      $ref: '#/Landing'
    meta:
      type: object
  required:
    - data
ReplaceLandingsResponse:
  type: object
  properties:
    data:
      $ref: '#/Landing'
    meta:
      type: object
  required:
    - data
